## xdoclet.modules.doc
Class AntdocSubTask.Element

    java.lang.Object
      xdoclet.modules.doc.AntdocSubTask.Element

Enclosing class:
  AntdocSubTask

public class AntdocSubTask.Element
extends Object

This class corresponds to an XML element in an Ant build file. This can be a task, or a nested element at any level.

created
  21. juli 2002

Constructor Summary
`AntdocSubTask.Element(xjavadoc.XClass clazz)`

Method Summary
`void` `addSubElement(AntdocSubTask.SubElement subElement)`
`boolean` `equals(Object o)`
`String` `getName()`
`Collection` `getSubElements()`
`xjavadoc.XClass` `getXClass()`
`int` `hashCode()`
`String` `toString()`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

Constructor Detail

### AntdocSubTask.Element

    public AntdocSubTask.Element(xjavadoc.XClass clazz)

Parameters:
  `clazz` - the bean class "implementing" the element

Method Detail

### getSubElements

    public Collection getSubElements()

### getXClass

    public xjavadoc.XClass getXClass()

### getName

    public String getName()

### addSubElement

    public void addSubElement(AntdocSubTask.SubElement subElement)

### toString

    public String toString()

### equals

    public boolean equals(Object o)

### hashCode

    public int hashCode()

http://xdoclet.sourceforge.net/